import { type Base, genBase } from "./_base"

export interface McuOrderItem extends Base {
  mcuOrder_id: number
  mcuSrc_id: number
  examinationDate?: string
  result?: string
  status_code?: string
}

export function genMcuOrderItem(): McuOrderItem {
  return {
    ...genBase(),
    mcuOrder_id: 0,
    mcuSrc_id: 0,
  }
}
